StarFileManagerInternal::SfxMultiRecord Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
StarFileManagerInternal::SfxMultiRecord Struct Reference

Internal: a structure use to read SfxMultiRecord zone of a StarFileManager. More...

## Public Member Functions
| SfxMultiRecord (StarZone &zone)
| constructor More...
bool | open ()
| try to open a zone More...
void | close (std::string const &wh)
| try to close a zone More...
int | getHeaderTag () const
| returns the header tag or -1 More...
bool | getNewContent (std::string const &wh)
| try to go to the new content positon More...
long | getLastContentPosition () const
| returns the last content position More...

## Protected Attributes
StarZone & | m_zone
| the main zone More...
char | m_zoneType
| the zone type More...
bool | m_zoneOpened
| true if a SfxRecord has been opened More...
uint8_t | m_headerType
| the record type More...
uint8_t | m_headerVersion
| the header version More...
uint16_t | m_headerTag
| the header tag More...
uint16_t | m_actualRecord
| the actual record More...
uint16_t | m_numRecord
| the number of record More...
uint32_t | m_contentSize
| the record/content/pos size More...
long | m_startPos
| the start of data position More...
long | m_endPos
| the end of data position More...
std::vector< uint32_t > | m_offsetList
| the list of (offset + type) More...
std::string | m_extra
| extra data More...

## Private Member Functions
| SfxMultiRecord (SfxMultiRecord const &orig)
SfxMultiRecord & | operator= (SfxMultiRecord const &orig)

## Friends
std::ostream & | operator<< (std::ostream &o, SfxMultiRecord const &r)
| basic operator<< ; print header data More...

## Detailed Description

Internal: a structure use to read SfxMultiRecord zone of a StarFileManager.

## Constructor & Destructor Documentation

StarFileManagerInternal::SfxMultiRecord::SfxMultiRecord | ( | StarZone & | zone | ) |
| inlineexplicit

constructor

StarFileManagerInternal::SfxMultiRecord::SfxMultiRecord | ( | SfxMultiRecord const & | orig | ) |
| private

## Member Function Documentation

void StarFileManagerInternal::SfxMultiRecord::close | ( | std::string const & | wh | ) |
| inline

try to close a zone

int StarFileManagerInternal::SfxMultiRecord::getHeaderTag | ( |  | ) | const
| inline

returns the header tag or -1

long StarFileManagerInternal::SfxMultiRecord::getLastContentPosition | ( |  | ) | const
| inline

returns the last content position

Referenced by getNewContent().

bool StarFileManagerInternal::SfxMultiRecord::getNewContent | ( | std::string const & | wh | ) |
| inline

try to go to the new content positon

bool StarFileManagerInternal::SfxMultiRecord::open | ( |  | ) |
| inline

try to open a zone

SfxMultiRecord& StarFileManagerInternal::SfxMultiRecord::operator= | ( | SfxMultiRecord const & | orig | ) |
| private

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SfxMultiRecord const & | r
| ) |  |
| friend

basic operator<< ; print header data

## Member Data Documentation

uint16_t StarFileManagerInternal::SfxMultiRecord::m_actualRecord
| protected

the actual record

Referenced by getLastContentPosition(), getNewContent(), and open().

uint32_t StarFileManagerInternal::SfxMultiRecord::m_contentSize
| protected

the record/content/pos size

Referenced by getLastContentPosition(), and open().

long StarFileManagerInternal::SfxMultiRecord::m_endPos
| protected

the end of data position

Referenced by close(), getLastContentPosition(), getNewContent(), and open().

std::string StarFileManagerInternal::SfxMultiRecord::m_extra
| protected

extra data

Referenced by open().

uint16_t StarFileManagerInternal::SfxMultiRecord::m_headerTag
| protected

the header tag

Referenced by getHeaderTag(), and open().

uint8_t StarFileManagerInternal::SfxMultiRecord::m_headerType
| protected

the record type

Referenced by getLastContentPosition(), getNewContent(), and open().

uint8_t StarFileManagerInternal::SfxMultiRecord::m_headerVersion
| protected

the header version

Referenced by open().

uint16_t StarFileManagerInternal::SfxMultiRecord::m_numRecord
| protected

the number of record

Referenced by getLastContentPosition(), and open().

std::vector<uint32_t> StarFileManagerInternal::SfxMultiRecord::m_offsetList
| protected

the list of (offset + type)

Referenced by getLastContentPosition(), and open().

long StarFileManagerInternal::SfxMultiRecord::m_startPos
| protected

the start of data position

Referenced by getLastContentPosition(), and open().

StarZone& StarFileManagerInternal::SfxMultiRecord::m_zone
| protected

the main zone

Referenced by close(), getNewContent(), and open().

bool StarFileManagerInternal::SfxMultiRecord::m_zoneOpened
| protected

true if a SfxRecord has been opened

Referenced by close(), getHeaderTag(), and open().

char StarFileManagerInternal::SfxMultiRecord::m_zoneType
| protected

the zone type

Referenced by close(), and open().

The documentation for this struct was generated from the following file:

- StarFileManager.cxx